Name:          gnome-vfs2
Version:       2.24.4
Release:       31
Summary:       GNOME virtual File System
License:       LGPLv2+ and GPLv2+
URL:           http://www.gnome.org/
Source0:       http://download.gnome.org/sources/gnome-vfs/2.24/gnome-vfs-%{version}.tar.bz2

BuildRequires: GConf2-devel libxml2-devel zlib-devel glib2-devel bzip2-devel ORBit2-devel
BuildRequires: popt openjade pkgconfig automake libtool autoconf gtk-doc perl-XML-Parser
BuildRequires: libsmbclient-devel openssl-devel krb5-devel
BuildRequires: dbus-devel dbus-glib-devel libacl-devel libselinux-devel keyutils-libs-devel
BuildRequires: gettext intltool pkgconfig(avahi-client) pkgconfig(avahi-glib)
Requires:      gvfs GConf2
Provides:      gnome-vfs2-common gnome-vfs2-smb
Obsoletes:     gnome-vfs2-common gnome-vfs2-smb

Patch0001:     gnome-vfs-2.9.90-modules-conf.patch
Patch0002:     gnome-vfs-2.24.1-disable-gnome-mime-data.patch
Patch0003:     gnome-vfs-2.24.3-CVE-2009-2473.patch
Patch0004:     gnome-vfs-2.8.2-schema_about_for_upstream.patch
Patch0005:     gnome-vfs-2.8.2-browser_default.patch
Patch0006:     gnome-vfs-2.15.91-mailto-command.patch
Patch0007:     gnome-vfs-2.20.0-ignore-certain-mountpoints.patch
Patch0008:     gnome-vfs-2.24.xx-utf8-mounts.patch
Patch0009:     0001-Add-default-media-application-schema.patch
Patch0010:     gnome-vfs-2.24.5-file-method-chmod-flags.patch
Patch0011:     gnome-vfs-2.24.4-enable-deprecated.patch

Patch9000:     Replace-old-openssl-which-an-advanced-strategy.patch

%description
The GNOME Virtual File System provides an abstraction to common file system
operations like reading, writing and copying files, listing directories and
so on. It also provides support for reading and writing files on windows
shares (SMB) to applications using GNOME VFS.

GNOME-VFS is extensible and usable from any application on the GNOME desktop.

%package      devel
Summary:      Libraries and header files for developing GNOME VFS applications
Requires:     gnome-vfs2 = %{version}-%{release}

%description  devel
Include the necessary development libraries and headers for developing
GNOME VFS modules and applications that use the GNOME VFS APIs.

%prep
%autosetup -n gnome-vfs-%{version} -p1

%build
libtoolize --force     || :
aclocal                || :
autoheader             || :
automake --add-missing || :
autoconf               || :

if pkg-config openssl ; then
    CPPFLAGS=`pkg-config --cflags openssl`;     export CPPFLAGS
    LDFLAGS=`pkg-config --libs-only-L openssl`; export LDFLAGS
fi

CFLAGS="%optflags -fno-strict-aliasing" %configure \
    --with-samba-includes=`pkg-config --variable=includedir smbclient` \
    --enable-samba --disable-fam --disable-gtk-doc --disable-static

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang gnome-vfs-2.0

%check
make test

%pre
%gconf_schema_prepare system_http_proxy system_dns_sd system_smb desktop_gnome_url_handlers desktop_default_applications

%preun
%gconf_schema_remove system_http_proxy system_dns_sd system_smb desktop_gnome_url_handlers desktop_default_applications

%post
/sbin/ldconfig
%gconf_schema_upgrade system_http_proxy system_dns_sd system_smb desktop_gnome_url_handlers desktop_default_applications

%postun
/sbin/ldconfig

%files -f gnome-vfs-2.0.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB NEWS README
%{_bindir}/gnomevfs-*
%{_libdir}/libgnomevfs-2.so.0*
%exclude %{_libdir}/libgnomevfs-2.la

%{_libdir}/gnome-vfs-2.0/modules/lib*.so
%exclude %{_libdir}/gnome-vfs-2.0/modules/*.la

%{_libexecdir}/gnome-vfs-daemon
%{_datadir}/dbus-1/services/gnome-vfs-daemon.service
%{_sysconfdir}/gconf/schemas/*.schemas

%config %{_sysconfdir}/gnome-vfs-2.0/modules/*.conf

%files devel
%{_libdir}/libgnomevfs-2.so
%{_libdir}/pkgconfig/gnome-vfs*-2.0.pc
%{_libdir}/gnome-vfs-2.0/include/
%{_includedir}/gnome-vfs-2.0/
%{_includedir}/gnome-vfs-module-2.0/
%{_datadir}/gtk-doc/html/gnome-vfs-2.0/

%changelog
* Thu Sep 23 2021 yangcheng <yangcheng87@huawei.com> - 2.24.4.31
- Type:Bugfix
- Id:NA
- SUG:NA
- DESC:Drop dependency on gamin

* Tue Oct 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.24.4.30
- Adjust buildrequires

* Mon Oct 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.24.4.29
- Replace old openssl which an advanced strategy

* Tue Sep 17 2019 Huiming Xie <xiehuiming@huawei.com> - 2.24.4.28
- Package init

